/***********************头文件	*****************/
#include"regx52.h"		   
#include<intrins.h>
#define uchar unsigned char
#define uint unsigned int		   

sbit LEDSWITCH=P2^0;      //LED 开关
 
uchar left=0;
uchar right=0;			     //定义变量

/*******************毫秒级延时函数	*****************/

void delayms(uint ms)
{
   uchar b;
      while(ms--)
        {
           for(b=0;b<125;b++);
		}
}


/***********************主函数	*****************/

void main()
{
	LEDSWITCH=0;							//打开LED开关   低电平有效
	while(1)								//大循环
	{
		for(left=0;left<8;left++)			//8次循环  （8个灯）
		{
			delayms(150);					//延时   括号时间可以修改
			P0=_crol_(0xFE,left);			//左移函数  cross left	（参见intrins.h）
		}
		for(right=0;right<8;right++)
		{
			delayms(50);		   			//延时   括号时间可以修改
			P0=_cror_(0x7F,right);  		//左移函数  cross right	（参见intrins.h）
		}
				  
	}
}


















